Upstream information

CVE-2015-3202 at MITRE

Description

fusermount in FUSE before 2.9.3-15 does not properly clear the environment before invoking (1) mount or (2) umount as root, which allows local users to write to arbitrary files via a crafted LIBMOUNT_MTAB environment variable that is used by mount's debugging feature.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.6 4.1
Vector AV:L/AC:L/Au:N/C:N/I:P/A:P AV:L/AC:M/Au:S/C:P/I:P/A:P
Access Vector Local Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact None Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
SUSE Bugzilla entry: 931452 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • fuse >= 2.8.7-0.11.1
  • libfuse2 >= 2.8.7-0.11.1
Patchnames:
sledsp3-fuse
SUSE Linux Enterprise Desktop 12
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-267
SUSE Linux Enterprise Desktop 12 SP1
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA fuse
SUSE Linux Enterprise Desktop 12 SP2
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA fuse
SUSE Linux Enterprise Desktop 12 SP3
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA fuse
SUSE Linux Enterprise Module for Basesystem 15
  • fuse >= 2.9.7-1.49
  • fuse-devel >= 2.9.7-1.49
  • fuse-doc >= 2.9.7-1.49
  • libfuse2 >= 2.9.7-1.49
  • libulockmgr1 >= 2.9.7-1.49
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA fuse
SUSE Linux Enterprise Server 11 SP3
  • fuse >= 2.8.7-0.11.1
  • libfuse2 >= 2.8.7-0.11.1
Patchnames:
slessp3-fuse
SUSE Linux Enterprise Server 11 SP4
  • fuse >= 2.8.7-0.11.1
  • libfuse2 >= 2.8.7-0.11.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA fuse
SUSE Linux Enterprise Server 12
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE-SLE-SERVER-12-2015-267
SUSE Linux Enterprise Server 12 SP1
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA fuse
SUSE Linux Enterprise Server 12 SP2
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA fuse
SUSE Linux Enterprise Server 12 SP3
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA fuse
SUSE Linux Enterprise Server 12 SP4
  • fuse >= 2.9.3-6.3.1
  • libfuse2 >= 2.9.3-6.3.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA fuse
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA fuse
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • fuse >= 2.8.7-0.11.1
  • libfuse2 >= 2.8.7-0.11.1
Patchnames:
slessp3-fuse
SUSE Linux Enterprise Server for SAP Applications 12
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
Patchnames:
SUSE-SLE-SERVER-12-2015-267
SUSE Linux Enterprise Server for VMWare 11 SP3
  • fuse >= 2.8.7-0.11.1
  • libfuse2 >= 2.8.7-0.11.1
Patchnames:
slessp3-fuse
SUSE Linux Enterprise Software Development Kit 11 SP3
  • fuse-devel >= 2.8.7-0.11.1
Patchnames:
sdksp3-fuse
SUSE Linux Enterprise Software Development Kit 11 SP4
  • fuse-devel >= 2.8.7-0.11.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA fuse-devel
SUSE Linux Enterprise Software Development Kit 12
  • fuse >= 2.9.3-5.1
  • fuse-devel >= 2.9.3-5.1
  • fuse-devel-static >= 2.9.3-5.1
  • libulockmgr1 >= 2.9.3-5.1
Patchnames:
SUSE-SLE-SDK-12-2015-267
SUSE Linux Enterprise Software Development Kit 12 SP1
  • fuse-devel >= 2.9.3-5.1
  • fuse-devel-static >= 2.9.3-5.1
  • libulockmgr1 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA fuse-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • fuse-devel >= 2.9.3-5.1
  • fuse-devel-static >= 2.9.3-5.1
  • libulockmgr1 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA fuse-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • fuse-devel >= 2.9.3-5.1
  • fuse-devel-static >= 2.9.3-5.1
  • libulockmgr1 >= 2.9.3-5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA fuse-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • fuse-devel >= 2.8.7-0.11.1
Builds
SAT Patch Nr: 10694
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • fuse >= 2.8.7-0.11.1
  • libfuse2 >= 2.8.7-0.11.1
Builds
SAT Patch Nr: 10694
openSUSE 13.1
  • fuse >= 2.9.4-2.3.1
  • fuse-debuginfo >= 2.9.4-2.3.1
  • fuse-debugsource >= 2.9.4-2.3.1
  • fuse-devel >= 2.9.4-2.3.1
  • fuse-devel-static >= 2.9.4-2.3.1
  • libfuse2 >= 2.9.4-2.3.1
  • libfuse2-32bit >= 2.9.4-2.3.1
  • libfuse2-debuginfo >= 2.9.4-2.3.1
  • libfuse2-debuginfo-32bit >= 2.9.4-2.3.1
  • libulockmgr1 >= 2.9.4-2.3.1
  • libulockmgr1-debuginfo >= 2.9.4-2.3.1
Patchnames:
openSUSE-2015-401
openSUSE Leap 15.0
  • fuse >= 2.9.7-lp150.1.30
  • libfuse2 >= 2.9.7-lp150.1.30
Patchnames:
openSUSE Leap 15.0 GA fuse
openSUSE Leap 42.1
  • fuse >= 2.9.3-8.2
  • libfuse2 >= 2.9.3-8.2
Patchnames:
openSUSE Leap 42.1 GA fuse
openSUSE Leap 42.2
  • fuse >= 2.9.3-9.6
  • libfuse2 >= 2.9.3-9.6
Patchnames:
openSUSE Leap 42.2 GA fuse
openSUSE Leap 42.3
  • fuse >= 2.9.3-11.3
  • libfuse2 >= 2.9.3-11.3
Patchnames:
openSUSE Leap 42.3 GA fuse
openSUSE Tumbleweed
  • fuse >= 2.9.5-1.6
  • fuse-devel >= 2.9.5-1.6
  • fuse-devel-static >= 2.9.5-1.6
  • libfuse2 >= 2.9.5-1.6
  • libfuse2-32bit >= 2.9.5-1.6
  • libulockmgr1 >= 2.9.5-1.6
Patchnames:
openSUSE Tumbleweed GA fuse


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 fuse Affected
SUSE Linux Enterprise Desktop 10 SP4 fuse Affected
SUSE Linux Enterprise Desktop 11 SP1 fuse Released
SUSE Linux Enterprise Desktop 11 SP2 fuse Ignore
SUSE Linux Enterprise Desktop 11 SP2 ntfs-3g Ignore
SUSE Linux Enterprise Desktop 11 SP3 fuse Released
SUSE Linux Enterprise Desktop 11 SP3 ntfs-3g Released
SUSE Linux Enterprise Desktop 11 SP4 fuse Released
SUSE Linux Enterprise Desktop 11 SP4 ntfs-3g In progress
SUSE Linux Enterprise Desktop 12 GA fuse Released
SUSE Linux Enterprise Desktop 12 GA ntfs-3g_ntfsprogs Ignore
SUSE Linux Enterprise Desktop 12 SP1 fuse Released
SUSE Linux Enterprise SDK 11 SP1 fuse Released
SUSE Linux Enterprise SDK 11 SP2 fuse Ignore
SUSE Linux Enterprise SDK 11 SP2 ntfs-3g Ignore
SUSE Linux Enterprise SDK 11 SP3 fuse Released
SUSE Linux Enterprise SDK 11 SP3 ntfs-3g Released
SUSE Linux Enterprise SDK 11 SP4 fuse Released
SUSE Linux Enterprise SDK 11 SP4 ntfs-3g In progress
SUSE Linux Enterprise SDK 12 GA fuse Released
SUSE Linux Enterprise SDK 12 GA ntfs-3g_ntfsprogs Ignore
SUSE Linux Enterprise Server 11 SP1 fuse Released
SUSE Linux Enterprise Server 11 SP1 LTSS fuse Released
SUSE Linux Enterprise Server 11 SP2 fuse Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS fuse Ignore
SUSE Linux Enterprise Server 11 SP3 fuse Released
SUSE Linux Enterprise Server 11 SP3 LTSS fuse Released
SUSE Linux Enterprise Server 11 SP4 fuse Released
SUSE Linux Enterprise Server 12 GA fuse Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 fuse Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 fuse Released
SUSE Linux Enterprise Server for VMWare 11 SP2 fuse Ignore
SUSE Linux Enterprise Server for VMWare 11 SP3 fuse Released